VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Sierpinski"
   ClientHeight    =   5970
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4530
   LinkTopic       =   "Form1"
   ScaleHeight     =   5970
   ScaleWidth      =   4530
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private LastX As Single
Private LastY As Single

Private CornerX(0 To 2) As Single
Private CornerY(0 To 2) As Single

' Draw the Sierpinski gasket.
Private Sub Form_Load()
Dim i As Integer

    Randomize
    Me.Show
    Do
        ' Pick the next corner.
        i = Int(Rnd * 3)

        ' Move halfway from the current point
        ' to the new corner.
        LastX = (LastX + CornerX(i)) / 2
        LastY = (LastY + CornerY(i)) / 2
        Me.PSet (LastX, LastY)

        ' Check for events.
        DoEvents
    Loop
End Sub

' Define the corner points.
Private Sub Form_Resize()
Const R As Single = 60
Dim i As Integer

    ' Clear.
    Me.Cls

    ' Define the corners.
    CornerX(0) = R + 10
    CornerY(0) = Me.ScaleHeight - R - 10
    CornerX(1) = Me.ScaleWidth / 2
    CornerY(1) = R + 10
    CornerX(2) = Me.ScaleWidth - R - 10
    CornerY(2) = Me.ScaleHeight - R - 10

    ' Draw the corners.
    For i = 0 To 2
        Me.Circle (CornerX(i), CornerY(i)), R
    Next i

    ' Pick a starting point.
    i = Int(Rnd * 3)
    LastX = CornerX(i)
    LastY = CornerY(i)
End Sub

Private Sub Form_Unload(Cancel As Integer)
    End
End Sub


